document.addEventListener('DOMContentLoaded', function () {
    const inProgressProjectsContainer = document.getElementById('inProgressProjectsContainer');
    const projectsByStatusContainer = document.getElementById('projectsByStatusContainer');
    const allProjectsContainer = document.getElementById('allProjectsContainer');
    const projectLoader = document.getElementById('projectLoader');

    var statusesSelectTag = document.getElementById('statusesSelectTag');

    statusesSelectTag.addEventListener('change', function () {
        var selectedStatus = statusesSelectTag.value;

        projectLoader.classList.remove('hidden');
        inProgressProjectsContainer.classList.add('hidden');
        projectsByStatusContainer.classList.add('hidden');
        allProjectsContainer.classList.add('hidden');

        // Check if "All" is selected
        if (selectedStatus === 'All') {
            allProjectsContainer.classList.remove('hidden');
            projectLoader.classList.add('hidden');

        // Check if "In Progress" is selected
        } else if (selectedStatus === 'In Progress') {
            inProgressProjectsContainer.classList.remove('hidden');
            projectsByStatusContainer.classList.add('hidden');
            projectLoader.classList.add('hidden');
            allProjectsContainer.classList.add('hidden');
        } else {
            fetch('/projects/status/' + selectedStatus + '/')
                .then(response => response.text())
                .then(data => {
                    projectsByStatusContainer.classList.remove('hidden');
                    $(projectsByStatusContainer).html(data);
                    projectLoader.classList.add('hidden');
                })
                .catch(error => console.error('Error:', error));
        }
    });
});